# TdApi.GetBasicGroup

Package it.ernytech.tdlib

## Class TdApi.GetBasicGroup

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetBasicGroup

Enclosing class:
  TdApi

    public static class TdApi.GetBasicGroup
    extends TdApi.Function

Returns information about a basic group by its identifier. This is an offline request if the current user is not a bot.

Returns `BasicGroup`

### Field Summary

Fields
`int` `basicGroupId` Basic group identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`GetBasicGroup()` Default constructor.
`GetBasicGroup​(int basicGroupId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### basicGroupId

    public int basicGroupId

Basic group identifier.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetBasicGroup

    public GetBasicGroup()

Default constructor.

#### GetBasicGroup

    public GetBasicGroup​(int basicGroupId)

Constructor for initialization of all fields.

Parameters:
  `basicGroupId` - Basic group identifier.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR